cutlass::transform::TransposePitchLinearThreadMap< ThreadMap_, WarpThreadArrangement_ >::Detail Struct Reference

Internal details made public to facilitate introspection Iterations along each dimension (concept: PitchLinearShape)

`#include <pitch_linear_thread_map.h>`

## Public Types

using | WarpThreadArrangement = WarpThreadArrangement_
| Fixed arrangement of threads within a warp (units of threads). More...
using | WarpArrangement = layout::PitchLinearShape< ThreadMap::Detail::kWarpsStrided, ThreadMap::Detail::kWarpsContiguous >
| Arrangement of warps within a threadblock-scoped tile. More...

## Static Public Attributes

static int const | kWarpSize = WarpThreadArrangement::kCount
| Number of threads per warp. More...
static int const | kWarpCount = kThreads / kWarpSize
| Number of participating warps. More...

## Member Typedef Documentation

template<typename ThreadMap_ , typename WarpThreadArrangement_ >

using cutlass::transform::TransposePitchLinearThreadMap< ThreadMap_, WarpThreadArrangement_ >::Detail::WarpArrangement = layout::PitchLinearShape<ThreadMap::Detail::kWarpsStrided, ThreadMap::Detail::kWarpsContiguous>

template<typename ThreadMap_ , typename WarpThreadArrangement_ >

using cutlass::transform::TransposePitchLinearThreadMap< ThreadMap_, WarpThreadArrangement_ >::Detail::WarpThreadArrangement = WarpThreadArrangement_

## Member Data Documentation

template<typename ThreadMap_ , typename WarpThreadArrangement_ >

int const cutlass::transform::TransposePitchLinearThreadMap< ThreadMap_, WarpThreadArrangement_ >::Detail::kWarpCount = kThreads / kWarpSize

static

template<typename ThreadMap_ , typename WarpThreadArrangement_ >

int const cutlass::transform::TransposePitchLinearThreadMap< ThreadMap_, WarpThreadArrangement_ >::Detail::kWarpSize = WarpThreadArrangement::kCount

static

The documentation for this struct was generated from the following file:

- pitch_linear_thread_map.h